--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.77, 0.22, 0.02, "NP_0: Liga Menu do Trator");
	 else
		renderText(0.77, 0.22, 0.02, "NP_0: Desliga Menu");
		renderText(0.72, 0.81, 0.025, "-- New Holland T8 390 --");			
		renderText(0.72, 0.78, 0.02, "NP_Enter: Partida Liga/desliga");
		renderText(0.72, 0.76, 0.02, "Home: Giroflex");
		renderText(0.72, 0.74, 0.02, "0: Buzina");			
		renderText(0.72, 0.72, 0.02, "5: Hidraulico Diantero");
		renderText(0.72, 0.70, 0.02, "6: Peso Frente")
		renderText(0.72, 0.68, 0.02, "7: Hidarulico Diantero Sobe/desce")
		renderText(0.72, 0.66, 0.02, "8: Sinalizadores ")
		renderText(0.72, 0.64, 0.02, "9: Troca jogo de rodas");
		renderText(0.72, 0.62, 0.02, "NP_1: Pisca esquerdo");
		renderText(0.72, 0.60, 0.02, "NP_2: Alerta");
		renderText(0.72, 0.58, 0.02, "NP_3: Pisca direito");
    renderText(0.72, 0.56, 0.02, "NP_4: 4X4");
    renderText(0.72, 0.54, 0.02, "NP_5: Luzes de trabalho frente");
    renderText(0.72, 0.52, 0.02, "NP_6: Luzes de trabalho trazeira");
    renderText(0.72, 0.50, 0.02, "NP_7: Porta Abre/Fecha ");
    renderText(0.72, 0.48, 0.02, "NP_8: Vidro traseiro Abre/Fecha");
    renderText(0.72, 0.46, 0.02, "Pg_Up/Pg_Down: Acelerador up/down");
		renderText(0.72, 0.44, 0.02, "insert: Sobe Engate Traseiro");
		renderText(0.72, 0.42, 0.02, "delete: Desce Engate traseiro");
    renderText(0.72, 0.38, 0.02, "Editado por Farm Bozza");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




